<?php
/**
 *    www.phpcc.at
 *    phpCC - Creating Community's 
 *  
 *    Modul: Guestbook (guestbook.php)
 *    
 *    Create: 27.06.2005, 10:44
 *  
 */ 

define('PHPCC', true);
define('SITE', 'guestbook.php');

$base_dir = "./";
include( $base_dir . "includes/common.php" );
include( $base_dir . "includes/header.php" );

if( $config_table['allow_guestbook'] == 0 )
{
  error_msg('Das Gstebuch wurde von dem Administrator deaktiviert !');
  include('includes/footer.php');
  exit;
}

$template->set_filenames(array(
  'guestbook'=> 'guestbook.tpl',
));

$template->assign_vars(array(
  'L_GUESTBOOK' => $lang['s.guestbook']
));
   
switch( $_GET['action'] )
{
  default:

    $sql = query("SELECT * FROM " . GUESTBOOK_TABLE . " ORDER BY date DESC");
    while( $row = fetch($sql) )
    {
      $template->assign_block_vars('default', array(
        'L_GUESTBOOK' => $lang['s.guestbook'],
        'L_ENTRIES' => $lang['gb.entry'],
        'L_NAME' => $lang['gb.name'],
        'L_EMAIL' => $lang['gb.email'],
        'L_HOMEPAGE' => $lang['gb.homepage'],
        'L_ICQ' => $lang['gb.icq'],
        'L_DATE' => $lang['gb.wrote_at'],
        'L_MSG' => $lang['gb.message'],
                
        'ID' => $row['id'],
        'NAME' => $row['name'],
        'EMAIL' => $row['email'],
        'HOMEPAGE' => $row['homepage'],
        'ICQ' => $row['icq'],
        'MSG' => nl2br(Texts::bbcodes($row['message'])),
        'DATE' => Texts::mkdate($row['date'])       
      ));
    }
    
  break;
  
  case 'sign':
    if( $_POST['submit'] == true )
    {
      $sql = query("INSERT INTO " . GUESTBOOK_TABLE . "( `name`, `email`, `homepage`, `icq`, `message`, `date` ) 
        VALUES ( ' " . trim(htmlspecialchars($_POST['name'])) . "', '" . trim(htmlspecialchars($_POST['email'])) . "', '" . trim(htmlspecialchars($_POST['homepage'])) . "', '" . trim(htmlspecialchars($_POST['icq'])) . "', '" . htmlspecialchars($_POST['message']) . "', '" . ( time() + 7200 ) . "' )");
  
      echo $sql ? success_msg($lang['gb.submit_true']) : error_msg($lang['gb.submit_false']);
      include($base_dir."includes/footer.php");
      exit;
    }
    else
    { 
      $template->assign_block_vars('sign', array(
        'L_WRITE' => $lang['gb.write'],
        'L_NAME' => $lang['gb.name'],
        'L_EMAIL' => $lang['gb.email'],
        'L_HOMEPAGE' => $lang['gb.homepage'],
        'L_ICQ' => $lang['gb.icq'],
        'L_DATE' => $lang['gb.wrote_at'],
        'L_MSG' => $lang['gb.message'],
        'L_HELP' => $lang['gb.help'],
        'L_SUBMIT' => $lang['gb.submit'],
  
        'V_USERNAME' => $_SESSION['username'],
        'V_EMAIL' => $_SESSION['email'],
        'V_HOMEPAGE' => $_SESSION['homepage'],
        'V_ICQ' => $_SESSION['icq']
      ));
    }
    
  break;
  
}

$template->pparse('guestbook');
include($base_dir."includes/footer.php");

?>