<?php
/**
 *    www.phpcc.at
 *    phpCC - Creating Community's 
 *  
 *    Modul: Common (common.php)
 *    
 *    Create: 05.06.2005, 22:18
 * 
 */ 
 
if (!defined('PHPCC')) return false;

/**
 * All importent includes
 */
include($base_dir."includes/config.php");
include($base_dir."includes/template.php");
include($base_dir."includes/constants.php");
include($base_dir."includes/functions.php");
include($base_dir."classes/texts.php");

$template_path = 'templates/' ;
$template_name = "default";
$template = new Template($template_path . $template_name);

if( !defined('INSTALLED') )
{
  header("Location: install.php");
  exit;
}

$sql = query( "SELECT * FROM " . CONFIG_TABLE . "" );
while ( $row = fetch($sql) )
{
  $config_table[$row['config_name']] = $row['config_value'];
}

/**
 * GZip Compression
 */
if($config_table['gzip'] == 1)
{
  ob_start(ob_gzhandler);
}

include($base_dir.'includes/sessions.php');



if( $config_table['activ'] == 0 && $_SESSION['rank'] != 1 )
{
  if( $_GET['activate'] == true )
  {
    header("Location: reactivate.php");
  }
  else
  {
      error_msg('Diese Homepage wurde deaktiviert. Versuche es spter nochmals!');
      exit;
  }    
}
 
/**
 * Let's load the user language or the default language 
 */	
if( $_SESSION['language'] == false )
  $_SESSION['language'] = $config_table['default_language'];

if( $_SESSION['username'] == "Guest" || $_SESSION['username'] == false)
  include_once( $base_dir . "language/lang_" . $config_table['default_language'] . ".php");
else
  include( $base_dir . "language/lang_" . $_SESSION['language'] . ".php" );

/**
 * Set the Sitename
 */
if( SITE == 'index.php' )
  $sitename = $lang['t.index'];
if( SITE == 'activation.php' )
  $sitename = $lang['t.activation'];
if( SITE == 'guestbook.php' )
  $sitename = $lang['t.guestbook'];
if( SITE == 'imp.php' )
  $sitename = $lang['t.imp'];
if( SITE == 'link.php' )
  $sitename = $lang['t.links'];
if( SITE == 'login.php' )
  $sitename = $lang['t.login'];
if( SITE == 'memberlist.php' )
  $sitename = $lang['t.memberlist'];
if( SITE == 'nickpage.php' )
  $sitename = $lang['t.nickpage'];
if( SITE == 'privmsg.php' )
  $sitename = $lang['t.privmsg'];
if( SITE == 'register.php' )
  $sitename = $lang['t.register']; 
if( SITE == 'home.php' )
  $sitename = 'Admin-Index';
if( SITE == 'settings.php')
  $sitename = 'Allgemine Einstellungen';
if( SITE == 'email.php')
  $sitename = 'Email Einstellungen';
if( SITE == 'impressum.php')
  $sitename = 'Impressum';

$sql = query( "SELECT id FROM " . PRIVMSG_TABLE . " WHERE user_id = ".$_SESSION['id']." AND new = '1' ORDER BY id DESC" );
$pn = count_rows( $sql );

$sql = query( "SELECT last_login FROM " . USER_TABLE . " WHERE id = '" . $_SESSION['id'] . "' ");
$row = fetch( $sql );
$l_login = $row['last_login'];
  
$sql = query( "SELECT id,username,reg_date FROM " . USER_TABLE . " WHERE id <> 0 ORDER BY id DESC " );
$row = fetch( $sql );
$user_id = $row['id'];
$l_user = $row['username'];
  
$sql = query( "SELECT COUNT(id) AS reg_user FROM " . USER_TABLE . "" );
$row = fetch( $sql );
$reg_user = $row['reg_user'];

$sql = query( "SELECT COUNT(sid) as on_user FROM session_data WHERE timestamp > " . (time() - $config_table['maxlifetime']) . " ORDER BY username DESC"); 
$row = fetch( $sql ); /* How many users are online? */
$on_user = $row['on_user'];  

$sql = query( "SELECT sid FROM session_data WHERE username = 'Guest' AND username != ''" );
$guests = last_query();

$sql = query( "SELECT sid FROM session_data WHERE username != 'Guest' AND username != ''");
$members = last_query();

$_USER = array(
  'new_pms' => $pn,
  'last_login' => $l_login
);

$_STATS = array(
  'last_user' => $l_user,
  'members' => $reg_user,
  'user_online' => $on_user,
  'guests_online' => $guests,
  'members_online' => $members
);

if( file_exists('install.php') )
{
  $template->assign_block_vars('switch_install_exists',array());
}

?>