<?php
/**
 *    www.phpcc.at
 *    phpCC - Creating Community's 
 *  
 *    Modul: Class texts (texts.php)
 *    
 *    Create: 13.07.2005, 13:39:24
 *  
 */ 
 
class Texts
{ 
  function bbcodes($text = null) 
  {
    if(empty($text))
      return false;
    
    // Array of tags with opening and closing
    $tagArray['b']      = array('open'=>'<b>','close'=>'</b>');
    $tagArray['i']      = array('open'=>'<i>','close'=>'</i>');
    $tagArray['u']      = array('open'=>'<u>','close'=>'</u>');
    $tagArray['url']    = array('open'=>'<a class="a1" target="_blank" href="','close'=>'">\\1</a>');
    $tagArray['email']    = array('open'=>'<a class="a1" href="mailto:','close'=>'">\\1</a>');
    $tagArray['url=(.*)']   = array('open'=>'<a class="a1" target="_blank" href="','close'=>'">\\2</a>',true);
    $tagArray['email=(.*)'] = array('open'=>'<a class="a1" href="mailto:','close'=>'">\\2</a>',true);
    $tagArray['color=(.*)'] = array('open'=>'<font color="','close'=>'">\\2</font>',true);
    $tagArray['size=(.*)']  = array('open'=>'<font size="','close'=>'">\\2</font>',true);
    $tagArray['font=(.*)']  = array('open'=>'<font face="','close'=>'">\\2</font>',true);
    
    //$text = preg_replace("#(^|[\n ])([\w]+?://[^ \"\n\r\t<]*)#is", "\\1<a class=\"a1\" href=\"\\2\" target=\"_blank\">\\2</a>", $text);
    $text = str_replace("www.", "http://www.", $text);
    $text = str_replace("http://http://", "http://", $text);
    $text = preg_replace("#(^|[\n ])([\w]+?://[\w\#$%&~/.\-;:=,?@\[\]+]*)#is", "\\1<a class=\"a1\" href=\"\\2\" target=\"_blank\">\\2</a>", $text);
    $text = preg_replace("#(^|[\n ])([a-z0-9&\-_.]+?)@([\w\-]+\.([\w\-\.]+\.)*[\w]+)#i", "\\1<a class=\"a1\" href=\"mailto:\\2@\\3\">\\2@\\3</a>", $text);
     
    /**
     * Replace Smilies
     */
    $search = array(':angel:',
                ':birthday:',
                ':confused:',
                ':cry:',
                ':devil_grin:',
                ':hello:',
                ':lol:',
                ':D',
                ':nope:',
                ':ooh:',
                ':pssst',
                ':razz:',
                ':razz2:',
                ':rocked:',
                ':rofl:',
                ':roll:',
                ':wink:',
                ';)',
                ':('             
                );
                  
    $replace = array('<img src="'.$base_dir.'images/smilies/angel.gif">',                     
                     '<img src="'.$base_dir.'images/smilies/birthday.gif">',
                     '<img src="'.$base_dir.'images/smilies/confused.gif">',
                     '<img src="'.$base_dir.'images/smilies/cry.gif">',
                     '<img src="'.$base_dir.'images/smilies/devil_grin.gif">',
                     '<img src="'.$base_dir.'images/smilies/hello.gif">',
                     '<img src="'.$base_dir.'images/smilies/lol.gif">',
                     '<img src="'.$base_dir.'images/smilies/mrgreen.gif">',
                     '<img src="'.$base_dir.'images/smilies/nope.gif">',
                     '<img src="'.$base_dir.'images/smilies/ooh.gif">',
                     '<img src="'.$base_dir.'images/smilies/pssst.gif">',
                     '<img src="'.$base_dir.'images/smilies/razz.gif">',
                     '<img src="'.$base_dir.'images/smilies/razz2.gif">',
                     '<img src="'.$base_dir.'images/smilies/rocked.gif">',
                     '<img src="'.$base_dir.'images/smilies/rofl.gif">',
                     '<img src="'.$base_dir.'images/smilies/rolleyes.gif">',
                     '<img src="'.$base_dir.'images/smilies/wink.gif">',
                     '<img src="'.$base_dir.'images/smilies/wink.gif">',
                     '<img src="'.$base_dir.'images/smilies/cry.gif">'
                     ); 
    $text = str_replace($search, $replace, $text);  
    
    /**
     * Replace Bad Word
     */
    $badword = array('wixer',
                'arsch',
                'fut',
                'muschi',
                'orsch',
                'oarsch',
                'fick',
                'hurensohn',
                'schlampe',
                'hure',
                );
                
    $censored = '###'; 
    $text = str_replace($badword, $censored, $text);
    
    foreach($tagArray as $tagName=>$replace)
    {
      $tagEnd = preg_replace('/\W/Ui','',$tagName);
      $text = preg_replace("|\[$tagName\](.*)\[/$tagEnd\]|Ui","$replace[open]\\1$replace[close]",$text);
      
    }
    return $text;
  }
  
  function mkdate($date)
  {  
    return gmdate('d.m.Y, H:i', $date);
  }
}
?>
